import "antd/es/space/style";
import _Space from "antd/es/space";
import React, { useContext } from 'react';
import { useSelector } from 'react-redux';
import { ArtTableContext } from '../../core/ArtTableContext';
import { ArtTableHelpContext } from '../../core/ArtTableHelpContext';

var GlobalShow = function GlobalShow(_ref) {
  var prefixCls = _ref.prefixCls;

  var _useContext = useContext(ArtTableContext),
      manager = _useContext.manager;

  var _useContext2 = useContext(ArtTableHelpContext),
      triggerOnChange = _useContext2.triggerOnChange;

  var isGlobalShow = useSelector(function (state) {
    return state.isGlobalShow;
  });
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-toolbar-item"),
    onClick: function onClick() {
      var bool = !isGlobalShow;
      manager.getActions().updateIsGlobalShow(bool);
      triggerOnChange({
        isGlobalShow: bool
      }, 'globalShow', true);
    }
  }, /*#__PURE__*/React.createElement(_Space, {
    size: 6,
    align: "center"
  }, /*#__PURE__*/React.createElement("i", {
    className: "icon-".concat(isGlobalShow ? 'suoxiaoshitu' : 'quanjuchakan')
  }), "\u5168\u5C40\u67E5\u770B"));
};

export default GlobalShow;