export var ADD_SORT = 'artTable/addSort';
export var REMOVE_SORT = 'artTable/removeSort';
export var UPDATE_SORT = 'artTable/updateSort';
export var RESET_SORTS = 'artTable/resetSorts';
export function addSort(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: ADD_SORT,
        payload: payload
      };
    }
  };
}
export function updateSort(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: UPDATE_SORT,
        payload: payload
      };
    }
  };
}
export function removeSort(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: REMOVE_SORT,
        payload: payload
      };
    }
  };
}
export function resetSorts(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: RESET_SORTS,
        payload: payload
      };
    }
  };
}