import React from 'react';
import type { ColumnType, Key } from '../../types';
import './index.less';
export interface FilterDropdownProps<RecordType> {
    tablePrefixCls: string;
    prefixCls: string;
    column: ColumnType<RecordType>;
    columnKey: Key;
    title?: any;
    children: React.ReactNode;
    filter?: any;
    sort?: any;
    dIndex?: number;
    triggerFilter?: any;
}
declare function FilterDropdown<RecordType>({ prefixCls, column, title, columnKey, filter, sort, triggerFilter, children, }: FilterDropdownProps<RecordType>): JSX.Element;
export default FilterDropdown;
