import * as React from 'react';
import type { ColumnType, DefaultRecordType, ColumnsType, RowClassName } from '../types';
export interface BodyContextProps<RecordType = DefaultRecordType> {
    columns: ColumnsType<RecordType>;
    flattenColumns: readonly ColumnType<RecordType>[];
    rowClassName: string | RowClassName<RecordType>;
}
declare const BodyContext: React.Context<BodyContextProps<DefaultRecordType>>;
export default BodyContext;
