export var isTouchEvent = function isTouchEvent(event) {
  return Boolean(event.touches && event.touches.length);
};
export var isMouseEvent = function isMouseEvent(event) {
  return Boolean((event.clientX || event.clientX === 0) && (event.clientY || event.clientY === 0));
};
export var getElementLeft = function getElementLeft(parent, child) {
  var parentClient = parent.getBoundingClientRect();
  var subClient = child.getBoundingClientRect();
  return parseInt(subClient.left - parentClient.left + '');
};
export function getParent(el, selector) {
  var parents = [];

  while ((el = el.parentNode) && el !== document) {
    if (!selector || el.matches(selector)) parents.unshift(el);
  }

  return parents;
}