/** 单元格模式 */
export var Mode;

(function (Mode) {
  Mode[Mode["Editable"] = 0] = "Editable";
  Mode[Mode["Readonly"] = 1] = "Readonly";
})(Mode || (Mode = {}));
/** 行高对应的实际px值 */


export var CellHeight = new Map([['small', '31px'], ['middle', '63px'], ['large', '119px']]);
export var ValueType;

(function (ValueType) {
  ValueType[ValueType["number"] = 0] = "number";
  ValueType[ValueType["date"] = 1] = "date";
  ValueType[ValueType["text"] = 2] = "text";
})(ValueType || (ValueType = {}));