"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SortRuleCreateButton = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _ArtTableContext = require("../../core/ArtTableContext");

var _ArtTableHelpContext = require("../../core/ArtTableHelpContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var SortRuleCreateButton = function SortRuleCreateButton(_ref) {
  var prefixCls = _ref.prefixCls,
      firstItem = _ref.firstItem;

  var _useContext = (0, _react.useContext)(_ArtTableContext.ArtTableContext),
      manager = _useContext.manager;

  var _useContext2 = (0, _react.useContext)(_ArtTableHelpContext.ArtTableHelpContext),
      triggerOnChange = _useContext2.triggerOnChange;

  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)("".concat(prefixCls, "-toolbar-sort-create")),
    onClick: function onClick() {
      var _firstItem$sort;

      manager.getActions().addSort({
        rule: {
          key: firstItem === null || firstItem === void 0 ? void 0 : firstItem.dataIndex,
          title: (firstItem === null || firstItem === void 0 ? void 0 : firstItem.textTitle) || (firstItem === null || firstItem === void 0 ? void 0 : firstItem.title),
          type: (firstItem === null || firstItem === void 0 ? void 0 : (_firstItem$sort = firstItem.sort) === null || _firstItem$sort === void 0 ? void 0 : _firstItem$sort.type) || 'zf',
          rule: 'desc',
          isDefault: false
        }
      });
      triggerOnChange({
        type: 'add'
      }, 'sort', true);
    }
  }, /*#__PURE__*/_react.default.createElement("i", {
    className: (0, _classnames.default)("icon-tianjia"),
    style: {
      fontSize: '24px'
    }
  }), "\u6DFB\u52A0\u6392\u5E8F\u6761\u4EF6");
};

exports.SortRuleCreateButton = SortRuleCreateButton;