"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UPDATE_COLUMN_CONFIG = exports.RESET_COLUMN_CONFIGS = exports.REMOVE_COLUMN_CONFIG = exports.ADD_COLUMN_CONFIG = void 0;
exports.addColumnConfig = addColumnConfig;
exports.removeColumnConfig = removeColumnConfig;
exports.resetColumnConfig = resetColumnConfig;
exports.updateColumnConfig = updateColumnConfig;
var ADD_COLUMN_CONFIG = 'artTable/addColumnConfig';
exports.ADD_COLUMN_CONFIG = ADD_COLUMN_CONFIG;
var REMOVE_COLUMN_CONFIG = 'artTable/removeColumnConfig';
exports.REMOVE_COLUMN_CONFIG = REMOVE_COLUMN_CONFIG;
var UPDATE_COLUMN_CONFIG = 'artTable/updateColumnConfig';
exports.UPDATE_COLUMN_CONFIG = UPDATE_COLUMN_CONFIG;
var RESET_COLUMN_CONFIGS = 'artTable/resetColumnConfigs';
exports.RESET_COLUMN_CONFIGS = RESET_COLUMN_CONFIGS;

function addColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: ADD_COLUMN_CONFIG,
        payload: payload
      };
    }
  };
}

function updateColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: UPDATE_COLUMN_CONFIG,
        payload: payload
      };
    }
  };
}

function removeColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: REMOVE_COLUMN_CONFIG,
        payload: payload
      };
    }
  };
}

function resetColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: RESET_COLUMN_CONFIGS,
        payload: payload
      };
    }
  };
}