import type { ColumnType, ColumnsType, Key } from './types';
import _ from 'lodash';
export declare function getColumnKey<RecordType>(column: ColumnType<RecordType>, defaultKey: string): Key;
export declare function getColumnPos(index: number, pos?: string): string;
/**
 * 过滤无效数据,只保留可以序列化的数据给表格存储
 */
export declare function formatTableStoreInInImmutable<RecordType>(columns: ColumnsType<RecordType>): _.Omit<import("./types").ColumnGroupType<RecordType> | ColumnType<RecordType>, "render" | "summaryRender" | "shouldCellUpdate" | "icon" | "summaryTitle">[];
export declare const computedColumn: (dataColumns: any[], columns: any, isFilter?: boolean) => any[];
