import * as React from 'react';
import type { GetRowKey, GetComponentProps, GetCellComponentProps } from '../types';
export interface BodyProps<RecordType> {
    data: any;
    getRowKey: GetRowKey<RecordType>;
    measureColumnWidth: boolean;
    onRow: GetComponentProps<RecordType>;
    onCell: GetCellComponentProps<RecordType>;
}
declare function Body<RecordType>({ data, getRowKey, measureColumnWidth, onRow, onCell, }: BodyProps<RecordType>): JSX.Element;
declare const MemoBody: React.MemoExoticComponent<typeof Body>;
export default MemoBody;
