"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValueType = exports.Mode = exports.CellHeight = void 0;

/** 单元格模式 */
var Mode;
exports.Mode = Mode;

(function (Mode) {
  Mode[Mode["Editable"] = 0] = "Editable";
  Mode[Mode["Readonly"] = 1] = "Readonly";
})(Mode || (exports.Mode = Mode = {}));
/** 行高对应的实际px值 */


var CellHeight = new Map([['small', '31px'], ['middle', '63px'], ['large', '119px']]);
exports.CellHeight = CellHeight;
var ValueType;
exports.ValueType = ValueType;

(function (ValueType) {
  ValueType[ValueType["number"] = 0] = "number";
  ValueType[ValueType["date"] = 1] = "date";
  ValueType[ValueType["text"] = 2] = "text";
})(ValueType || (exports.ValueType = ValueType = {}));