import React from 'react';
import { SortableContainer } from 'react-sortable-hoc';
import { SortRuleItem } from './SortRuleItem';
export var SortRuleList = SortableContainer(function (_ref) {
  var prefixCls = _ref.prefixCls,
      items = _ref.items,
      dragIndex = _ref.dragIndex;
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-toolbar-sort-list")
  }, items.filter(function (item) {
    return item.hiddenColumnConfig !== true;
  }).map(function (v, i) {
    var isDrag = dragIndex === i;
    return /*#__PURE__*/React.createElement(SortRuleItem, {
      isDrag: isDrag,
      key: v === null || v === void 0 ? void 0 : v.dataIndex,
      index: i,
      dIndex: i,
      prefixCls: prefixCls,
      item: v
    });
  }));
});