import React from 'react';
import './index.less';
export interface ToolSlot {
    name: string;
    position: 'left' | 'right';
    /**
     * 不可重复,否则是覆盖效果
     * default:1,2,3,4
     */
    order: number;
    render?: () => React.ReactNode;
}
interface ToolbarProps {
    slots?: ToolSlot[];
    prefixCls?: any;
}
declare const Toolbar: (props: ToolbarProps) => JSX.Element;
export default Toolbar;
