export var ADD_COLUMN_CONFIG = 'artTable/addColumnConfig';
export var REMOVE_COLUMN_CONFIG = 'artTable/removeColumnConfig';
export var UPDATE_COLUMN_CONFIG = 'artTable/updateColumnConfig';
export var RESET_COLUMN_CONFIGS = 'artTable/resetColumnConfigs';
export function addColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: ADD_COLUMN_CONFIG,
        payload: payload
      };
    }
  };
}
export function updateColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: UPDATE_COLUMN_CONFIG,
        payload: payload
      };
    }
  };
}
export function removeColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: REMOVE_COLUMN_CONFIG,
        payload: payload
      };
    }
  };
}
export function resetColumnConfig(manager) {
  return function (payload) {
    if (manager) {
      return {
        type: RESET_COLUMN_CONFIGS,
        payload: payload
      };
    }
  };
}