import { updateSize } from './size';
import { addColumnConfig, updateColumnConfig, removeColumnConfig, resetColumnConfig } from './columnConfig';
import { addSort, updateSort, removeSort, resetSorts } from './sorts';
import { updateIsGlobalShow } from './isGlobalShow';
export function createSizeActions() {
  var actions = {
    updateSize: updateSize
  };
  return actions;
}
export function createColumnConfigActions() {
  var actions = {
    addColumnConfig: addColumnConfig,
    updateColumnConfig: updateColumnConfig,
    removeColumnConfig: removeColumnConfig,
    resetColumnConfig: resetColumnConfig
  };
  return actions;
}
export function createSortsActions() {
  var actions = {
    addSort: addSort,
    updateSort: updateSort,
    removeSort: removeSort,
    resetSorts: resetSorts
  };
  return actions;
}
export function createGlobalShowActions() {
  var actions = {
    updateIsGlobalShow: updateIsGlobalShow
  };
  return actions;
}