import { SizeType } from '../../types';
interface SortRule {
    key: string;
    type: 'az' | '09' | 'zf';
    rule: 'asc' | 'desc';
    isDefault: boolean;
}
export interface InitialState {
    columnConfig?: any;
    size: SizeType;
    sorts?: SortRule[];
    isGlobalShow?: boolean;
}
export declare const initialState: InitialState;
export declare function getInitialState(tableConfig: any): any;
export declare function artTableReducers(): {
    columnConfig: import("redux").Reducer<{
        state: {
            byId: any[];
        };
    }, import("redux").AnyAction>;
    size: import("redux").Reducer<string, import("redux").AnyAction>;
    sorts: import("redux").Reducer<{
        state: any[];
    }, import("redux").AnyAction>;
    isGlobalShow: import("redux").Reducer<boolean, import("redux").AnyAction>;
};
export {};
