import * as React from 'react';
export interface MeasureCellProps {
    cellWidth: any;
    columnKey: React.Key;
    onColumnResize: (key: React.Key, width: number) => void;
    fixLeft?: number | false;
    fixRight?: number | false;
    firstFixLeft?: boolean;
    lastFixLeft?: boolean;
    firstFixRight?: boolean;
    lastFixRight?: boolean;
}
export default function MeasureCell({ cellWidth, columnKey, onColumnResize, fixLeft, fixRight, }: MeasureCellProps): JSX.Element;
