import * as React from 'react';
import type { FixedInfo } from '../utils/fixUtil';
import type { SortableState } from '../types';
export interface TableContextProps {
    prefixCls: string;
    scrollbarSize: number;
    direction: 'ltr' | 'rtl';
    fixedInfoList: readonly FixedInfo[];
    pingedLeft: boolean;
    pingedRight: boolean;
    getExtraState?: any;
    selectedColor?: any;
    isScroll?: boolean;
    setIsResize?: any;
    onColumnResizeStart?: any;
    onColumnResizeStop?: any;
    sortableStore?: SortableState;
    sortableDispatch?: any;
    summaryHeight?: any;
    itemHeight?: any;
    viewMaxNum?: any;
    viewMaxHeight?: any;
    lastEndIndex?: any;
    cellExtraRender?: any;
}
declare const TableContext: React.Context<TableContextProps>;
export default TableContext;
