import type { StickyOffsets, FixedType } from '../types';
export interface FixedInfo {
    fixLeft: number | undefined;
    fixRight: number | undefined;
    lastFixLeft: boolean;
    firstFixRight: boolean;
    lastFixRight: boolean;
    firstFixLeft: boolean;
    isSticky?: boolean;
}
export declare function getCellFixedInfo(colStart: number, colEnd: number, columns: readonly {
    fixed?: FixedType;
}[], stickyOffsets: StickyOffsets, direction: 'ltr' | 'rtl'): FixedInfo;
