function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

import React from 'react';
import "./index.css";

function TheEllipsis(props) {
  var config = props.config,
      text = props.text;

  var _ref = config || {},
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 'middle' : _ref$size,
      _ref$isFocusing = _ref.isFocusing,
      isFocusing = _ref$isFocusing === void 0 ? false : _ref$isFocusing;

  var sizeMap = new Map([['small', 1], ['middle', 3], ['large', 6]]);
  var maxLine = !isFocusing ? sizeMap.get(size) || 6 : undefined;
  var safeText = ['string', 'number'].includes(_typeof(text)) ? text.toString() : '-';
  var replaceSignText = safeText.length === 0 ? '-' : safeText;
  return /*#__PURE__*/React.createElement("div", {
    className: "the-ellipsis-box",
    "data-maxline": maxLine
  }, replaceSignText);
}

export default TheEllipsis;