import type { ColumnType, StickyOffsets } from '../types';
export interface LineProps<RecordType> {
    colWidths: readonly (number | string)[];
    columns?: readonly ColumnType<RecordType>[];
    columCount?: number;
    direction?: 'ltr' | 'rtl';
    stickyOffsets: StickyOffsets;
    scrollTableStyle?: any;
    scrollBodyTranslateX?: number;
}
export declare const Line: ({ colWidths, columns, stickyOffsets, direction, scrollTableStyle, scrollBodyTranslateX, }: LineProps<unknown>) => JSX.Element;
