"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

require("./index.css");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function TheInput(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange,
      config = _ref.config;
  var divEl = (0, _react.useRef)(null);

  var divOnFocus = function divOnFocus() {
    var _divEl$current;

    (_divEl$current = divEl.current) === null || _divEl$current === void 0 ? void 0 : _divEl$current.focus();
    var range = document.createRange();
    range.selectNodeContents(divEl.current);
    range.collapse(false);
    var selection = window.getSelection();
    selection === null || selection === void 0 ? void 0 : selection.removeAllRanges();
    selection === null || selection === void 0 ? void 0 : selection.addRange(range);
  };

  (0, _react.useEffect)(function () {
    divOnFocus();
  }, []);
  (0, _react.useEffect)(function () {
    if (config.isFocusing === false) {
      onChange(divEl.current.innerText);
    }

    console.log('input focus change', config.isFocusing);
  }, [config.isFocusing]);
  return /*#__PURE__*/_react.default.createElement("div", {
    suppressContentEditableWarning: true,
    contentEditable: true,
    ref: divEl,
    className: "div-input"
  }, value);
}

var _default = TheInput;
exports.default = _default;